<?php
$time = microtime(true);

$file = fopen("time.txt", "r");
$file_time = floatval(fgets($file));
fclose($file);
$file = fopen("time.txt", "w");
fputs($file, $time);
fclose($file);

$delta = $time - $file_time;
$has_won = abs($delta - 10) < 0.06;

$file = fopen("stats.txt", "r");
$won = intval(fgets($file));
$lost = intval(fgets($file));

if($has_won) {
	$won = $won + 1;
} else {
	$lost = $lost + 1;
}
fclose($file);
$file = fopen("stats.txt", "w");
fputs($file, $won);
fputs($file, "\n");
fputs($file, $lost);
fclose($file);


if($delta > 60) {
	$quanta = "";
	$pdelta = "ages";
} else {
	$quanta = " seconds";
	$pdelta = strval(round($delta, 2));
	if($pdelta == "1") {
		$quanta = " second";
	}
}

?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de" id="root">
<head>
<title>LD27: 10 Seconds</title>
<link href='http://fonts.googleapis.com/css?family=Press+Start+2P' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="style.css" type="text/css" media="screen" />
<script type="text/javascript">
window.onload = function(e) {
	var root = document.getElementById("root");
	<?php
	if($has_won) {
		echo "var color = \"#113311\";";
	} else {
		echo "var color = \"#000000\";";
	}
	?>
	root.style.background = color;
}
</script>
<style type="text/css">
<?php
if($has_won) {?>
html {
	background: #113311;
}
<?php } ?>
</style>
</head>
<body>
<?php if(!$has_won) {?>
<div id="main">
<h1>10 Seconds</h1>
<p>Reload this page 10 seconds after the last reload to win the game. Or just reload the page to prevent other people from winning.</p>
<div id="status">
<div id="delta">Last page reload was <span class="time"><?php echo $pdelta . $quanta ?></span> ago.</div>
<?php
if(!$has_won && $delta < 10) {
	echo "<div id='bla'>Too fast ...<br />Or did someone else screw up your shot?</div>";
} else if($delta < 20) {
	echo "<div id='bla'>Too slow.</div>";
}
?>
<div id="stats">Out of <span class="time"><?php echo $lost + $won;?></span> attempts <span class="time"><?php echo $won;?></span> have succeeded.</div>
</div>
</div>
<?php } else {?>
<div id="won">
<iframe width='840' height='630' src='//www.youtube.com/embed/oHg5SJYRHA0?autoplay=1' frameborder='0' allowfullscreen></iframe>
</div>
<?php } ?>

</body>
</html>
